# Class MatrixShape.Cell

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.MatrixShape.Cell

Enclosing class:
  `MatrixShape`

@Equality public static class MatrixShape.Cell extends Object
Represents one cell in a 2x2 matrix. Just encapsulates non-negative (X,Y) coordinates.

Since:
  1 Jun 2023
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`Cell(int ix, int iy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getX()`
Returns X index.
`int`
`getY()`
Returns Y index.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Cell

public Cell(int ix, int iy)
Constructor.

Parameters:
  `ix` - X index
  `iy` - Y index

## Method Details

### getX

public int getX()
Returns X index.

Returns:
  index in X direction

### getY

public int getY()
Returns Y index.

Returns:
  index in Y direction

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`